Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm
Class Evaluate

    java.lang.Object
      gnu.prolog.vm.Evaluate

    public class Evaluate

extends Object

Field Summary
`static CompoundTermTag` | `abs1`
`static CompoundTermTag` | `add2`
`static CompoundTermTag` | `atan1`
`static CompoundTermTag` | `band2`
`static CompoundTermTag` | `blshift2`
`static CompoundTermTag` | `bnot1`
`static CompoundTermTag` | `bor2`
`static CompoundTermTag` | `brshift2`
`static CompoundTermTag` | `ceiling1`
`static CompoundTermTag` | `cos1`
`static CompoundTermTag` | `div2`
`static CompoundTermTag` | `evaluationError`
`static CompoundTermTag` | `exp1`
`static CompoundTermTag` | `float1`
`static AtomTerm` | `floatAtom`
`static CompoundTermTag` | `floor1`
`static CompoundTermTag` | `fractpart1`
`static CompoundTermTag` | `intdiv2`
`static CompoundTermTag` | `intpart1`
`static CompoundTermTag` | `log1`
`static CompoundTermTag` | `mod2`
`static CompoundTermTag` | `mul2`
`static CompoundTermTag` | `neg1`
`static CompoundTermTag` | `power2`
`static CompoundTermTag` | `random1` Implementation of the random/1 predicate defined in SWI-Prolog random(+IntExpr) Evaluates to a random integer i for which 0 =< i < IntExpr.
`static CompoundTermTag` | `rem2`
`static CompoundTermTag` | `round1`
`static CompoundTermTag` | `sign1`
`static CompoundTermTag` | `sin1`
`static CompoundTermTag` | `sqrt1`
`static CompoundTermTag` | `sub2`
`static CompoundTermTag` | `truncate1`

Method Summary
`static Term` | `evaluate(Term term)`
`protected static void` | `typeTestInt(Term term)` Test the term for an interget term

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### add2

    public static final CompoundTermTag add2

### sub2

    public static final CompoundTermTag sub2

### mul2

    public static final CompoundTermTag mul2

### intdiv2

    public static final CompoundTermTag intdiv2

### div2

    public static final CompoundTermTag div2

### rem2

    public static final CompoundTermTag rem2

### mod2

    public static final CompoundTermTag mod2

### neg1

    public static final CompoundTermTag neg1

### abs1

    public static final CompoundTermTag abs1

### sqrt1

    public static final CompoundTermTag sqrt1

### sign1

    public static final CompoundTermTag sign1

### intpart1

    public static final CompoundTermTag intpart1

### fractpart1

    public static final CompoundTermTag fractpart1

### float1

    public static final CompoundTermTag float1

### floor1

    public static final CompoundTermTag floor1

### truncate1

    public static final CompoundTermTag truncate1

### round1

    public static final CompoundTermTag round1

### ceiling1

    public static final CompoundTermTag ceiling1

### power2

    public static final CompoundTermTag power2

### sin1

    public static final CompoundTermTag sin1

### cos1

    public static final CompoundTermTag cos1

### atan1

    public static final CompoundTermTag atan1

### exp1

    public static final CompoundTermTag exp1

### log1

    public static final CompoundTermTag log1

### brshift2

    public static final CompoundTermTag brshift2

### blshift2

    public static final CompoundTermTag blshift2

### band2

    public static final CompoundTermTag band2

### bor2

    public static final CompoundTermTag bor2

### bnot1

    public static final CompoundTermTag bnot1

### random1

    public static final CompoundTermTag random1

  Implementation of the random/1 predicate defined in SWI-Prolog random(+IntExpr) Evaluates to a random integer i for which 0 =< i < IntExpr.

### evaluationError

    public static final CompoundTermTag evaluationError

### floatAtom

    public static final AtomTerm floatAtom

Method Detail

### evaluate

    public static Term evaluate(Term term)
                         throws PrologException

  Throws:
    `PrologException`

### typeTestInt

    protected static void typeTestInt(Term term)
                               throws PrologException

  Test the term for an interget term

  Parameters:
    `t1` -
  Throws:
    `PrologException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD